### Function

# RB str_in_strv

#### Declaration [src]

    gboolean
    rb_str_in_strv (
      const char* needle,
      const char** haystack
    )

#### Description [src]

Checks if `needle` is present in the NULL-terminated string array `haystack`.

This function is not directly available to language bindings.

#### Parameters

`needle`

  Type: `const char*`

  String to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`haystack`

  Type: `const char**`

  Array of strings to search.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if found.